Czy wszystkie wersje Net Framework muszą być zainstalowane?


(Kurss1005) #1

Witam

Czy wszystkie wersje Net Framework muszą być zainstalowane? Kiedyś mialam werasje 1.1, 2, 3, 3,5, 4, (pomijam uaktualnienia), ale po odebraniu kompa z serwisu miałam tylko 1.1,3,5 i 4. Teraz po niemożliwości zainstalowania KB951847 i dezinstalacji Net Framework (wszystkich) , zaczęłam pobierać wersje na stronie MS, ale chcąc pobrać 3,5 muszę pobrać 2 i 3. Czy to konieczne, bo bez nich komp działał ok.? System WIN XP HE SP3


(Bogdan_G) #2

Framework 2, framework 2 PLK, to platforma uruchamianie office 2007 i wiele aplikacji starszych aplikacji, zaś net framework 3.5 to wypas do XP. Te mogą być zainstalowane obok siebie. Wersja 3 była bardzo awaryjna, więc nie polecam. Są jakieś drobne aplikacje do XP, co by potrzebowały net frameworka 4.0 ale to ładowanie usług client i frameworka 4.0 to obciążenie systemu prawie razem 900MB i dołożenie mu procesów.

Te dwa, to i na win7 mam w laptopie. Nie ma zaleceń, ani obowiązku instalowania wielu frameworków. Jeśli jakiś stary program potrzebuje np frameworka 1.1, to należy dobrze to przemyśleć, ale osobiście przez siedem lat nie miałem takiego ewentualnego zapotrzebowania.

Być może na Twoje potrzeby wystarczy jedynie net framework 2 service pack 2. Mnie długie lata tak system funkcjonował. Jest tego 290MB plus aktualizacje.


(Kurss1005) #3

Czego potrzebuje OIfice 2003 Pro?


(Bogdan_G) #4

Na pewno nie potrzebuje frameworka wersji większej, niż 2, skoro office 2007 potrzebuje tej platformy uruchamiania.


(Kurss1005) #5

KIS 2014 potrzebuje Net .Frameworka 4. Sam się upomina.

Co do trójki zainstalować i odinstalować, skoro nie można pobrać wersji pojedyńczo?


(Bogdan_G) #6

Potrzebne frameworki instalowałem osobno i to z DP. No i na stronce microsoftu można framework 4 pobrać oddzielnie. http://www.microsoft.com/pl-pl/download … x?id=17851


(Kurss1005) #7

4 jest osobno, ale 2,3 i 3,5 są polączone i tylko tak można je pobrać z MS. Czy programy pobierane są np. z innymi paskami albo wyszukiwarkami?


(Bogdan_G) #8

Framework 4 posiada biblioteki frameworka 3 i 3.5. Pobrałem framework 2 osobno cztery dni temu i nie musiałem innych pobierać. Można stąd przez internet explorer http://www.instalki.pl/programy/downloa … k_2.0.html a do tego frameworka potem z witryny microsoftu zainstalować net framework 2 sp 2 http://www.microsoft.com/pl-pl/download … px?id=1639